Ayuda: instalar Firefox 1.0 y otras cuestiones

¡Hola!. Soy totalmente novato en Linux y ayer instalé Ubuntu para probarlo y tratar de iniciarme en ello. Quería actualizar el Firefox que viene al 1.0 en español, y lo he descargado, he desinstalado el que viene con sudo apt-get remove mozilla-firefox (apt-get me avisó de que se desinstalaría también gnome-desktop, no sé por qué), y, cuando trato de instalar el nuevo (tras lograr descomprimirlo en /usr sorteando todas las dificultades derivadas de los permisos de usuario y no saberme los comandos de memoria...) me da un error indicando que no puede abrir la librería xpi-no se qué...y no se instala...total, que he tenido que iniciar desde Windows para pedir ayuda!.

Otra cosilla: ¿cómo hago para que una aplicación se añada al menú?. Porque me he descargado gnomp3 y los codecs correspondientes para poder reproducir música, pero tengo que iniciar el reproductor manualmente...¿las aplicaciones que figuran en los menús son todas las que instala la distribución o hay más...?.

¿Ubuntu trae algún firewall de serie o lo busco en el Synaptic?...¿por qué Totem me da "error desconocido" cuando trato de abrir un videoclip mpg?...ahhhh!!! tengo demasiadas dudas!!! socorrooooo!!!

Saludos y gracias de antemano...

Imagen de koala191
+1
0
-1

1) En tu directorio home tienes un directorio que se llama .mozilla, borralo e intenta arrancar firefox de nuevo.

2) Para añadir aplicaciones a un menú pulsa con el botón derecho y eliges menú completo y luego añadir un nuevo elemento al menú.

P.D. Visita http://guia-ubuntu.org

+1
0
-1
Imagen de Beskjeder
+1
0
-1

No, no tengo ningún directorio con ese nombre en home...y sigo tratando de instalarlo pero durante la instalación recibo el mismo error. Concretamente dice que falta (o que no se pudo abrir, o algo similar) la biblioteca "xpistub", y en la consola desde donde he ejecutado el instalador el error que aparece es "DLError: libxpcom.so no existe" (o algo parecido). Así que sigo teniendo que reiniciar y arrancar Windows para poder entrar aquí...pq la versión de Firefox que se encuentra con el Synaptic es la 0.9.3, y yo quiero instalar la 1.0...

Saludos!.

+1
0
-1

Si nuestra vida es el resultado de las decisiones que hemos ido tomando, entonces no podemos cambiar lo que somos, pero sí lo que VAMOS A SER.

Imagen de Anónimo
+1
0
-1

Pues eso ...

Por qué quieres instalar la 1.0?

Pero de todas formas ...

1) Quizá el fichero que te has descargado esté corrupto. Bájalo otra vez.

2) Ejecuta el instalador con sudo

3) Lo instalas en /usr/lib/mozilla-firefox/

Fijate que el instalador no te coloque detrás de esta ruta nada.

y dale instalar.

+1
0
-1
Imagen de Beskjeder
+1
0
-1

Quería el 1.0 porque algunas páginas se ven mejor que con el 0.9.3. De todos modos, conectaba para decir que ya lo he conseguido: me faltaban algunos paquetes que vienen en la lista de requerimientos en la web del Firefox, los he instalado con Synaptic, he reiniciado y funciona. Gracias de todas formas!.

+1
0
-1

Si nuestra vida es el resultado de las decisiones que hemos ido tomando, entonces no podemos cambiar lo que somos, pero sí lo que VAMOS A SER.

Imagen de joseluis
+1
0
-1

La versión 1.0 de Firefox está en los repositorios de Ubuntu, y también el paquete en castellano

root@zenon:~ # apt-cache search mozilla-firefox-locale-es
mozilla-firefox-locale-es - Mozilla Firefox Spanish language/region package
mozilla-firefox-locale-es-ar - Mozilla Firefox spanish (es-AR) language/region package
mozilla-firefox-locale-es-es - Mozilla Firefox spanish (es-ES) language/region package

De los 3 el primero está en la versión 0.9.3 pero los dos últimos están en la 1.0 como se puede comprobar con apt-cache show

root@zenon:~ # apt-cache show mozilla-firefox-locale-es-es
Package: mozilla-firefox-locale-es-es
Priority: optional
Section: web
Installed-Size: 440
Maintainer: Cesar Martinez Izquierdo 
Architecture: all
Version: 1.0-2
Replaces: mozilla-firefox-locale-es
Provides: mozilla-firefox-locale-es
Depends: mozilla-firefox (>= 1.0-2), mozilla-firefox (<< 1.0.99)
Conflicts: mozilla-firefox-locale-es, mozilla-firefox-locale-es-ar (<< 0.99+1.0PR1)
Filename: pool/main/m/mozilla-firefox-locale-es-es/mozilla-firefox-locale-es-es_1.0-2_all.deb
Size: 90810
MD5sum: d3b88bbd28a236e1b539c003c3e43b56
Description: Mozilla Firefox spanish (es-ES) language/region package
 Spanish menu/message resource and region property package
 for Mozilla  Firefox (spanish as spoken in Spain, es-ES).
 .
 Homepage: http://nave.hispalinux.es/
+1
0
-1

Fdo. Forense asesino, Censor fundamentalista, Fustigador de novatos y Patético maleducado

Imagen de Garce
+1
0
-1

Hola, me dice que no existe nada así. Pongo"apt-cache show mozilla-firefox-locale-es-es" o con el install pero siempre me dice lo mismo, que no existe ningún paquete así...

Me falta algún repositorio? En principio no, los tengo todos...

Ya me cuentan,gracias.

Garcé.
--
Siéntete GNU/Linux; vive GNU/Linux; Sé GNU/Linux;
Todos formamos parte de él! - www.garce.tk -

+1
0
-1

--
Siéntete GNU/Linux; vive GNU/Linux; Sé GNU/Linux;
Todos formamos parte de él! - www.garce.tk -

Imagen de joseluis
+1
0
-1

En este comentario puse el contenido de mi sources.list por si te sirve.

Supongo que después de modificar el sources.list ejecutaste

sudo apt-get update
+1
0
-1

Fdo. Forense asesino, Censor fundamentalista, Fustigador de novatos y Patético maleducado

Imagen de Beskjeder
+1
0
-1

Ciertamente, a mi tampoco me aparecían en el Synaptic, supongo que me faltarán sources así que completaré con tu archivo. Si lo hubiese podido instalar desde ahí me hubiese ahorrado quebraderos de cabeza!.

Saludos.

+1
0
-1

Si nuestra vida es el resultado de las decisiones que hemos ido tomando, entonces no podemos cambiar lo que somos, pero sí lo que VAMOS A SER.